# Generated by Django 2.0.1 on 2018-01-30 21:57

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('django_openehr', '0002_auto_20180130_2032'),
    ]

    operations = [
        migrations.CreateModel(
            name='DemographicProfessional',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('professional_group', models.CharField(blank=True, help_text='The professional group or speciality of the professional', max_length=255, null=True)),
                ('professional_grade', models.CharField(blank=True, help_text='The employment grade or position of the carer', max_length=255, null=True)),
                ('professional_team', models.CharField(blank=True, help_text='Team to which the individual belongs', max_length=255, null=True)),
            ],
            options={
                'verbose_name_plural': 'Professional Demographics',
            },
        ),
        migrations.AlterModelOptions(
            name='symptomsign',
            options={'verbose_name_plural': 'Symptoms/Signs'},
        ),
        migrations.AlterModelOptions(
            name='telecomdetails',
            options={'verbose_name_plural': 'Telecoms Details'},
        ),
        migrations.RemoveField(
            model_name='addressdetails',
            name='demographics',
        ),
        migrations.RemoveField(
            model_name='identifier',
            name='demographic_personal',
        ),
        migrations.RemoveField(
            model_name='personname',
            name='demographic',
        ),
        migrations.RemoveField(
            model_name='telecomdetails',
            name='demographics',
        ),
        migrations.AddField(
            model_name='demographicpersonal',
            name='address_details',
            field=models.ManyToManyField(to='django_openehr.AddressDetails'),
        ),
        migrations.AddField(
            model_name='demographicpersonal',
            name='identifier',
            field=models.ManyToManyField(to='django_openehr.Identifier'),
        ),
        migrations.AddField(
            model_name='demographicpersonal',
            name='person_name',
            field=models.ManyToManyField(to='django_openehr.PersonName'),
        ),
        migrations.AddField(
            model_name='demographicpersonal',
            name='telecom_details',
            field=models.ManyToManyField(to='django_openehr.TelecomDetails'),
        ),
        migrations.AddField(
            model_name='personname',
            name='family_name',
            field=models.CharField(help_text='Family name or Surname.', max_length=255, null=True),
        ),
        migrations.AddField(
            model_name='personname',
            name='given_name',
            field=models.CharField(help_text='Given / personal / first name.', max_length=255, null=True),
        ),
        migrations.AddField(
            model_name='personname',
            name='middle_name',
            field=models.CharField(blank=True, help_text='Middle name or names.', max_length=255, null=True),
        ),
        migrations.AddField(
            model_name='personname',
            name='name_type',
            field=models.CharField(blank=True, choices=[('REGISTERED', 'Registered name [The name by which the subject is officially registered.]'), ('PREVIOUS', 'Previous name [Name previously used by this person.]'), ('BIRTH', 'Birth name [Name given to this person at birth.]'), ('AKA', 'AKA [Person also known as.]'), ('ALIAS', 'Alias [Other name used by this person.]'), ('MAIDEN', 'Maiden Name [Name used by this persion before marriage.]'), ('PROFESSIONAL', 'Professional name [The name used by the subject for business or professional purposes.]'), ('REPORTING', 'Reporting name [The subject’s name as it is to be used for reporting, when used with a specific identifier.]')], help_text='The type of name described', max_length=255, null=True),
        ),
        migrations.AddField(
            model_name='personname',
            name='preferred_name',
            field=models.NullBooleanField(help_text='Indicates that this is the name by which a person chooses to be identified.'),
        ),
        migrations.AddField(
            model_name='personname',
            name='suffix',
            field=models.CharField(blank=True, help_text="Additional term used following a person name, e.g. 'Snr'", max_length=20, null=True),
        ),
        migrations.AddField(
            model_name='personname',
            name='title',
            field=models.CharField(blank=True, choices=[('DR', 'Dr.'), ('MRS', 'Mrs.'), ('MR', 'Mr.'), ('MISS', 'Miss'), ('MS', 'Ms.'), ('PROF', 'Prof.'), ('SIR', 'Sir'), ('REV', 'Rev')], help_text='The prefix or title used by the subject, e.g. Mr, Mrs, Ms, Dr, Lord', max_length=20, null=True),
        ),
        migrations.AddField(
            model_name='personname',
            name='unstructured_name',
            field=models.CharField(blank=True, help_text='Name in free text unstructured format.', max_length=255, null=True),
        ),
        migrations.AddField(
            model_name='personname',
            name='validity_period_from',
            field=models.DateTimeField(blank=True, help_text='The date from which this name was valid.', null=True),
        ),
        migrations.AddField(
            model_name='personname',
            name='validity_period_to',
            field=models.DateTimeField(blank=True, help_text='The date until which this name was valid.', null=True),
        ),
        migrations.AlterField(
            model_name='bodysite',
            name='body_site_name',
            field=models.CharField(blank=True, help_text='The identifier of the body site, using a recognised clinical terminology where possible', max_length=255, null=True),
        ),
        migrations.AlterField(
            model_name='identifier',
            name='assigner',
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.AlterField(
            model_name='identifier',
            name='identifier_type',
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.AlterField(
            model_name='identifier',
            name='issuer',
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.AddField(
            model_name='demographicprofessional',
            name='person_name',
            field=models.ManyToManyField(to='django_openehr.PersonName'),
        ),
        migrations.AddField(
            model_name='demographicprofessional',
            name='professional_identifier',
            field=models.ManyToManyField(to='django_openehr.Identifier'),
        ),
        migrations.AddField(
            model_name='demographicprofessional',
            name='telecom_details',
            field=models.ManyToManyField(to='django_openehr.TelecomDetails'),
        ),
    ]
