# Generated by Django 2.0.1 on 2018-01-31 07:58

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('django_openehr', '0003_auto_20180130_2157'),
    ]

    operations = [
        migrations.CreateModel(
            name='RelevantContact',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('relationship_category', models.CharField(blank=True, choices=[('INFORMAL_CARER', 'Informal carer [An individual identified by the person as offering care and support, excluding paid carers or carers from voluntary agencies.]'), ('MAIN_INFORMAL', 'Main informal carer [The contact is identified by the subject as being a primary informal source of care and support.]'), ('FORMAL_CARE_WORKER', 'Formal care worker [A health and social care professional or staff member, including a carer from voluntary sector.]'), ('KEY_FORMAL_CARE_WORKER', "Key formal care worker [The formal carer is the subject's key worker.]")], help_text='The broad category of care relationship which the contact holds with the subject.', max_length=255, null=True)),
                ('relationship', models.CharField(blank=True, help_text='For an informal carer, the personal relationship with the client/carer e.g spouse or friend . For a formal carer, the professional role or responsibility of the carer with respect to the person which should help identify them as being an appropriate contact for an aspect of care, usually a professional role or care pathway name.', max_length=255, null=True)),
                ('is_next_of_kin', models.NullBooleanField(help_text="True if this informal carer is the person's next-of-kin")),
                ('relationship_note', models.CharField(blank=True, help_text='Any additional comment or note about the healthcare professional or carer or their role', max_length=255, null=True)),
                ('date_updated', models.DateTimeField(blank=True, help_text='The date at which the list of key contacts was created or updated.', null=True)),
                ('person_name', models.ManyToManyField(to='django_openehr.PersonName')),
                ('telecom_details', models.ManyToManyField(to='django_openehr.TelecomDetails')),
            ],
        ),
        migrations.AlterField(
            model_name='symptomsign',
            name='body_site',
            field=models.ManyToManyField(blank=True, help_text='Simple body site where the symptom or sign was reported.', to='django_openehr.BodySite'),
        ),
    ]
